All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::SubThreadNoQueue< TDatums, TWorker > Class Template Reference

`#include <subThreadNoQueue.hpp>`

Inherits op::SubThread< TDatums, TWorker >.

## Public Member Functions

| SubThreadNoQueue (const std::vector< TWorker > &tWorkers)
virtual | ~SubThreadNoQueue ()
bool | work ()
| DELETE_COPY (SubThreadNoQueue)
Public Member Functions inherited from op::SubThread< TDatums, TWorker >
| SubThread (const std::vector< TWorker > &tWorkers)
virtual | ~SubThread ()
void | initializationOnThread ()

## Additional Inherited Members

Protected Member Functions inherited from op::SubThread< TDatums, TWorker >
size_t | getTWorkersSize () const
bool | workTWorkers (TDatums &tDatums, const bool inputIsRunning)

## Constructor & Destructor Documentation

template<typename TDatums , typename TWorker >

op::SubThreadNoQueue< TDatums, TWorker >::SubThreadNoQueue | ( | const std::vector< TWorker > & | tWorkers | ) |

explicit

template<typename TDatums , typename TWorker = std::shared_ptr<Worker<TDatums>>>

virtual op::SubThreadNoQueue< TDatums, TWorker >::~SubThreadNoQueue | ( |  | ) |

virtual

## Member Function Documentation

template<typename TDatums , typename TWorker = std::shared_ptr<Worker<TDatums>>>

op::SubThreadNoQueue< TDatums, TWorker >::DELETE_COPY | ( | SubThreadNoQueue< TDatums, TWorker > |  | ) |

template<typename TDatums , typename TWorker = std::shared_ptr<Worker<TDatums>>>

bool op::SubThreadNoQueue< TDatums, TWorker >::work | ( |  | ) |

virtual

Implements op::SubThread< TDatums, TWorker >.

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/thread/subThreadNoQueue.hpp